aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoriamcheeseman <[email protected]>2026-05-14 19:50:43 -0400
committeriamcheeseman <[email protected]>2026-05-14 19:50:43 -0400
commit45e44a99060a1100fafcbb2e8328f69b8f80ac94 (patch)
tree143fc3367087e2abf78671fc1101121756519b0f
parent3a66e59404e46561e5b29448103fb43e1a8eed88 (diff)
tell demonchime where teensy is at runtime
-rwxr-xr-xbuild.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index 740e182..2690406 100755
--- a/build.sh
+++ b/build.sh
@@ -43,7 +43,7 @@ esac
dc_cflags=(${cflags[@]} -Iteensy -Idc)
[ ! -z "$debug" ] && teensy_cflags+=(-DDC_DEBUG)
-dc_ldflags=(${ldflags[@]} -L. -lteensy)
+dc_ldflags=(${ldflags[@]} -L. -l:libteensy.so -Wl,-rpath,$PWD)
dc_src=$(find dc -name '*.c')
teensy_src=$(find teensy -name '*.c' -not -path '*platform*')
@@ -65,4 +65,4 @@ time (
${dc_cflags[@]} || exit 1
)
-[ $? -eq 0 ] && [ ! -z "$run" ] && LD_LIBRARY_PATH=. $RUN_CMD ./demonchime
+[ $? -eq 0 ] && [ ! -z "$run" ] && $RUN_CMD ./demonchime